Create a project
curl --request POST \
--url https://api.alpic.ai/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"teamId": "<string>",
"sourceRepository": "<string>",
"branchName": "<string>",
"rootDirectory": "<string>",
"settings": {},
"environmentVariables": []
}
'import requests
url = "https://api.alpic.ai/v1/projects"
payload = {
"name": "<string>",
"teamId": "<string>",
"sourceRepository": "<string>",
"branchName": "<string>",
"rootDirectory": "<string>",
"settings": {},
"environmentVariables": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
teamId: '<string>',
sourceRepository: '<string>',
branchName: '<string>',
rootDirectory: '<string>',
settings: {},
environmentVariables: []
})
};
fetch('https://api.alpic.ai/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>"
}
],
"productionEnvironment": {
"id": "<string>",
"name": "<string>"
},
"sourceRepository": "<string>",
"rootDirectory": "<string>",
"buildCommand": "<string>",
"buildOutputDir": "<string>",
"installCommand": "<string>",
"startCommand": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Forbidden",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}projects
Create a project
Create a project for a team
POST
/
v1
/
projects
Create a project
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Body
application/json
Required string length:
1 - 100Available options:
python3.13, python3.14, node22, node24 Minimum string length:
1Available options:
stdio, sse, streamablehttp Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
The project has been created successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
python3.13, python3.14, node22, node24 Available options:
stdio, sse, streamablehttp Was this page helpful?
⌘I